Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Path Parameters

directory_id
integer
required

Directory ID

Query Parameters

page
integer
default:1

Page number. Starts at 1.

Required range: x >= 1
per_page
integer
default:25

Number of directory items (subdirectories and videos) per page. The maximum is 100, a larger value is reduced to 100.

Required range: 1 <= x <= 100

Case-insensitive search by part of the name or slug of subdirectories and videos. When set, the search covers all levels of the client's directories, not only the requested one. The characters "_" and "%" in the search text work as wildcards (any one character, any number of characters). The "items_count" field does not depend on it.

Response

Successful

directory
object
required
Example: